com.threerings.stage.server

## Interface StageSceneProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  StageSceneManager

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from StageSceneService.java.")
    public interface StageSceneProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `StageSceneService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addObject(com.threerings.presents.data.ClientObject caller, com.threerings.miso.data.ObjectInfo arg1, com.threerings.presents.client.InvocationService.ConfirmListener arg2)` Handles a `StageSceneService.addObject(com.threerings.miso.data.ObjectInfo, com.threerings.presents.client.InvocationService.ConfirmListener)` request.
`void` `removeObjects(com.threerings.presents.data.ClientObject caller, com.threerings.miso.data.ObjectInfo[] arg1, com.threerings.presents.client.InvocationService.ConfirmListener arg2)` Handles a `StageSceneService.removeObjects(com.threerings.miso.data.ObjectInfo[], com.threerings.presents.client.InvocationService.ConfirmListener)` request.

### Method Detail

#### addObject

    void addObject(com.threerings.presents.data.ClientObject caller,
                   com.threerings.miso.data.ObjectInfo arg1,
                   com.threerings.presents.client.InvocationService.ConfirmListener arg2)
            throws com.threerings.presents.server.InvocationException

Handles a `StageSceneService.addObject(com.threerings.miso.data.ObjectInfo, com.threerings.presents.client.InvocationService.ConfirmListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`

#### removeObjects

    void removeObjects(com.threerings.presents.data.ClientObject caller,
                       com.threerings.miso.data.ObjectInfo[] arg1,
                       com.threerings.presents.client.InvocationService.ConfirmListener arg2)
                throws com.threerings.presents.server.InvocationException

Handles a `StageSceneService.removeObjects(com.threerings.miso.data.ObjectInfo[], com.threerings.presents.client.InvocationService.ConfirmListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`